package de.ivu.elect.business.praesentation.entity;

public enum PraesentationUploadArt {

  SYNCHRON {
    @Override
    public boolean isSynchron() {
      return true;
    }

    @Override
    public boolean isASynchron() {
      return false;
    }
  },

  ASYNCHRON {
    @Override
    public boolean isSynchron() {
      return false;
    }

    @Override
    public boolean isASynchron() {
      return true;
    }
  },
  DEAKTIVIERT {
    @Override
    public boolean isSynchron() {
      return false;
    }

    @Override
    public boolean isASynchron() {
      return false;
    }
  };

  public abstract boolean isSynchron();
  public abstract boolean isASynchron();

}
